Subject: Re: High resolution timer support in 2.6.24+ for MPC831x?

From: Scott Wood <[email-masked]>
Date: Thu, 14 Feb 2008 14:51:35 -0600

Leon Woestenberg wrote:
> Hello all,
> 
> although I can enable high res timers in 2.6.24, the item note says it
> does nothing if the platform does not have support for it.
> 
> My platform is a MPC8313E-RDB, and I suspect no high res clock source
> implementation exists for it in 2.6.24, because
> clock_getres(CLOCK_REALTIME,) gives me 1/HZ.
> 
> Is this correct and/or is anything in the works?

The timebase/decrementer can be used as a high clock source on virtually 
all powerpc chips; I tried clock_getres(CLOCK_REALTIME) on an 8313erdb, 
and I got 1 ns.  Did you turn on CONFIG_HIGH_RES_TIMERS?

-Scott